# Created by pyp2rpm-1.0.1
%global pypi_name QSTK
%global with_python3 1
%define version 0.2.8

Name:           python-qstk
Version:        %{version}
Release:        %mkrel 13
Group:          Development/Python
Summary:        QuantSoftware Toolkit
URL:            https://github.com/QuantSoftware/QuantSoftwareToolkit
License:        BSD
Source0:        https://github.com/QuantSoftware/QuantSoftwareToolkit/archive/refs/tags/%{version}.tar.gz#/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # if with_python3

%description
QuantSoftware Toolkit

%if 0%{?with_python3}
%package -n     python3-qstk
Summary:        QuantSoftware Toolkit

%description -n python3-qstk
QuantSoftware Toolkit
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
sed -i -e 's!python-dateutil == 1.5!python-dateutil >= 1.5!' setup.py
# Remove yahoo data
rm -rf QSTK/QSData/Yahoo/*.csv


%if 0%{?with_python3}
find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
2to3 -w .
%endif # with_python3


%build
%if 0%{?with_python3}
%py3_build
%endif # with_python3


%install
%if 0%{?with_python3}
%{__python3} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}/%{python3_sitelib}/Bin %{buildroot}/%{python3_sitelib}/%{pypi_name}
%endif # with_python3

%if 0%{?with_python3}
%files -n python3-qstk
%doc docs/README.md LICENSE.txt
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{pypi_name}*.pth
%endif # with_python3



%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.2.8-13.mga9
+ Revision: 1822950
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 0.2.8-12.mga9
+ Revision: 1778388
- rebuild for python-3.10

* Sun Feb 16 2020 umeabot <umeabot> 0.2.8-11.mga9
+ Revision: 1533840
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 0.2.8-10.mga8
+ Revision: 1445468
- rebuild for python-3.8
- drop python2 subpkg

* Sat Jan 12 2019 tmb <tmb> 0.2.8-9.mga7
+ Revision: 1355271
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.2.8-8.mga7
+ Revision: 1289985
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.2.8-7.mga7
+ Revision: 1135598
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.2.8-6.mga6
+ Revision: 970797
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 joequant <joequant> 0.2.8-5.mga6
+ Revision: 888401
- upgrade to python 3.5

* Wed Jan 07 2015 joequant <joequant> 0.2.8-4.mga5
+ Revision: 808953
- fix caps case

* Mon Jan 05 2015 joequant <joequant> 0.2.8-3.mga5
+ Revision: 808654
- add setuptools
- add python3

* Tue Dec 30 2014 joequant <joequant> 0.2.8-2.mga5
+ Revision: 807350
- fix dependencies

* Mon Dec 29 2014 joequant <joequant> 0.2.8-1.mga5
+ Revision: 807128
- imported package python-qstk

